## MirageIndex

MirageIndex — Object representing an index within track.

## Functions

gint | mirage_index_get_address ()
gint | mirage_index_get_number ()
void | mirage_index_set_address ()
void | mirage_index_set_number ()

## Types and Values

| MirageIndex
struct | MirageIndexClass

## Object Hierarchy

        GObject
        ╰── MirageObject
            ╰── MirageIndex

## Implemented Interfaces

MirageIndex implements MirageContextual.

## Includes

    #include <mirage-index.h>

## Description

MirageIndex object represents an index within a track. It is a container object that stores the index number and corresponding address.

## Functions

### mirage_index_get_address ()

    gint
    mirage_index_get_address (MirageIndex *self);

Retrieves index' start adddress. The `address` is given in sectors.

#### Parameters

self | a MirageIndex |

#### Returns

address

### mirage_index_get_number ()

    gint
    mirage_index_get_number (MirageIndex *self);

Retrieves index' index number.

#### Parameters

self | a MirageIndex |

#### Returns

index number

### mirage_index_set_address ()

    void
    mirage_index_set_address (MirageIndex *self,
                              gint address);

Sets index' start address. The `address` is given in sectors.

#### Parameters

self | a MirageIndex |
address | address. | [in]

### mirage_index_set_number ()

    void
    mirage_index_set_number (MirageIndex *self,
                             gint number);

Sets index' index number.

#### Parameters

self | a MirageIndex |
number | index number. | [in]

## Types and Values

### MirageIndex

    typedef struct _MirageIndex MirageIndex;

All the fields in the MirageIndex structure are private to the MirageIndex implementation and should never be accessed directly.

### struct MirageIndexClass

    struct MirageIndexClass {
        MirageObjectClass parent_class;
    };

The class structure for the MirageIndex type.

#### Members

## See Also

MirageTrack